FROM docker.io/rust:1.87.0 AS build

WORKDIR /app

COPY . .

RUN cargo build --release --bin harmony_composer

FROM docker.io/rust:1.87.0

WORKDIR /app

RUN apt update

# For checkout action
RUN apt install -y nodejs

RUN apt install -y docker.io
# RUN apt install -y podman podman-docker

RUN rustup target add x86_64-unknown-linux-gnu

RUN apt install -y mingw-w64
RUN rustup target add x86_64-pc-windows-gnu

# RUN apt install -y gcc-aarch64-linux-gnu
# RUN rustup target add aarch64-unknown-linux-gnu

COPY --from=build /app/target/release/harmony_composer .

ENTRYPOINT ["/app/harmony_composer"]